# 15.4 Built-in Module `macconsole`

This module is available on the Macintosh, provided Python has been built using the Think C compiler. It provides an interface to the Think console package, with which basic text windows can be created.

`options`
  An object allowing you to set various options when creating windows, see below.

`C_ECHO`
  ,C_NOECHO ,C_CBREAK ,C_RAW Options for the `setmode` method. C_ECHO and C_CBREAK enable character echo, the other two disable it, C_ECHO and C_NOECHO enable line-oriented input (erase/kill processing, etc).

`copen` ()
  Open a new console window. Return a console window object.

`fopen` (fp)
  Return the console window object corresponding with the given file object. fp should be one of `sys.stdin`, `sys.stdout` or `sys.stderr`.

- 15.4.1 macconsole options object
- 15.4.2 console window object